/* Estilos generales */
body {
  margin: 0;
  padding: 0;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  background-color: #f2f2f2;
}

.contenedor {
  display: flex;
  height: 100vh;
  width: 100%;
}

.lado-izq {
  width: 50%;
  height: 100%;
  background-color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 20px;
  box-sizing: border-box;
}

.titulo {
  width: 100%;
  height: 15%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.titulo-img {
  max-width: 100%;
  max-height: 100%;
}

.contenedor-svg {
  width: 75%;
  height: 40%;
  background-color: #ffffff;
  border-radius: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.descripcion {
  margin-top: 10px;
}

.descripcion p {
  text-align: center;
  color: #666666;
  font-size: 18px;
}

.img-svg {
  max-width: 100%;
  max-height: 100%;
}

/* Lado derecho */
.lado-der {
  width: 50%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.contenedor-formulario {
  width: 60%;
  height: 70%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #ffffff;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h1 {
  text-align: center;
  color: #333333;
  font-size: 24px;
  margin-bottom: 20px;
}

.form-group {
  margin-bottom: 20px;
}

.form-group label {
  display: block;
  font-weight: bold;
  margin-bottom: 10px;
  color: #666666;
  font-size: 16px;
}

.form-group input {
  width: 100%;
  padding: 10px;
  font-size: 14px;
  border: none;
  border-bottom: 2px solid #cccccc;
  background-color: transparent;
  color: #333333;
  transition: border-color 0.3s ease;
}

.form-group input:focus {
  outline: none;
  border-color: #04BFA6;
}

.form-group button {
  padding: 10px 20px;
  font-size: 14px;
  background-color: #04BFA6;
  color: #ffffff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.form-group button:hover {
  background-color: #04BFA6;
}

.form-group .link-registro {
  font-size: 12px;
  text-align: center;
  margin-top: 10px;
  color: #666666;
}

.form-group .link-registro a {
  color: #04BFA6;
  text-decoration: none;
  transition: color 0.3s ease;
}

.form-group .link-registro a:hover {
  color: #04BFA6;
}

/* Efectos y animaciones */
.contenedor-formulario::before {
  content: '';
  position: absolute;
  top: -10px;
  left: -10px;
  right: -10px;
  bottom: -10px;
  z-index: -1;
  background: linear-gradient(135deg, #04BFA6, #04BFA7);
  border-radius: 10px;
  opacity: 0.8;
}

.contenedor-formulario::after {
  content: '';
  position: absolute;
  top: -10px;
  left: -10px;
  right: -10px;
  bottom: -10px;
  z-index: -2;
  background: linear-gradient(135deg, #04BFA6, #04BFA7);
  border-radius: 10px;
  opacity: 0.5;
}

.form-group input {
  border-radius: 0;
  border-bottom: 2px solid transparent;
  border-image: linear-gradient(135deg, #04BFA7, #04BFA6) 1;
  border-image-slice: 1;
  transition: border-color 0.3s ease;
}

.form-group input:focus {
  border-color: #04BFA6;
}

.form-group button {
  background-color: transparent;
  border: 2px solid #04BFA6;
  color: #04BFA6;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

.form-group button:hover {
  background-color: #04BFA6;
  color: #ffffff;
  transform: scale(1.05);
}

.form-group .link-registro {
  opacity: 0.7;
  transition: opacity 0.3s ease;
}

.form-group .link-registro:hover {
  opacity: 1;
}

@media screen and (max-width: 768px) {
  .contenedor {
    flex-direction: column;
  }

  .lado-izq {
    width: 100%;
    height: auto;
    padding: 20px;
  }

  .titulo {
    height: auto;
    margin-bottom: 20px;
  }

  .contenedor-svg {
    width: 100%;
    height: 40%;
  }

  .descripcion p {
    font-size: 14px;
  }

  .lado-der {
    width: 100%;
    height: auto;
    padding: 20px;
  }

  .contenedor-formulario {
    width: 100%;
    height: 100%;
  }
}
